<?php

namespace Teknisa\DC\Controllers;

use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;

class Task {
    protected $taskService;

    public function __construct(\Teknisa\DC\Services\Task $taskService) {
        $this->taskService = $taskService;
    }

    public function getProjectTasksInitialized(Request\Filter $request, Response $response) {
        $param = $request->getFilterCriteria()->getConditions();
        $projectId = $param[0]['value'];
        $tasksInitialized = $this->taskService->getProjectTasksInitialized($projectId);
        $response->addDataSet(new DataSet('tasksInitialized', $tasksInitialized));
    }
} 