<?php

namespace Teknisa\DC\Factories;


class Repository {
    public function updateRepository(\Zeedhi\DevOps\Model\Projectmanagement\Entities\Repository $entity,$name,
                                     $description, $url, $status, $product = null,$path = null,$seqno = null, $isMaster = 'N') {
        $entity->setName($name);
        $entity->setDescription($description);
        $entity->setUrl($url);
        $entity->setStatus($status);
        $entity->setProduct($product);
        $entity->setPath($path);
        $entity->setSeqno($seqno);
        $entity->setIsMaster($isMaster);
        return $entity;
    }

    public function createRepository($organization, $name, $description, $url, $status,
                                     \Zeedhi\DevOps\Model\Projectmanagement\Entities\Project $project, $product = null,
                                     $path = null,$seqno = null, $isMaster = 'N') {
        $entity = new \Zeedhi\DevOps\Model\Projectmanagement\Entities\Repository();
        $entity->setOrganization($organization);
        $entity->setName($name);
        $entity->setDescription($description);
        $entity->setUrl($url);
        $entity->setStatus($status);
        $entity->setProject($project);
        $entity->setProduct($product);
        $entity->setPath($path);
        $entity->setSeqno($seqno);
        $entity->setIsMaster($isMaster);
        return $entity;
    }

} 